Bug 187388 - IT821x drops interrupts freezing system
IT821x drops interrupts freezing system
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 12:42 EST by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 04:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2006-03-30 12:42:37 EST
Description of problem:
System freezes when DMA is enabled on IT821x driven disks


Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2080_FC5.i686


How reproducible:
quite frequently - nearly every time



Steps to Reproduce:
1.
2.
3.
  
Actual results:
Under anything approaching a reasonable load (such as serving files to windows
clients or NFS clients) the system will freeze completely.
Other causes have been ruled out by eliminating services, and hdparming the DMA
to off completely avoids the problem.

Expected results:
Obviously, I'd expect some reliability in DMA from this driver.

Additional info:
System info: Asus mobo, Celeron (not P4) cpu at 1800MHz, SiS chipset, IT8212 IDE
RAID controller (not in RAID mode)
Comment 1 G.Wolfe Woodbury 2006-06-23 04:26:58 EDT
Actually, the card was in RAID mode.  Adding the appropriate kernel parameter to
GRUB to force bypass mode avoids the problem.

it821x.noraid=1

(Now I have a memory problem that occasionally locks the system! :-(

Note You need to log in before you can comment on or make changes to this bug.